Verifier (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.compaction

## Class Verifier

- java.lang.Object
- - org.apache.cassandra.db.compaction.Verifier

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class Verifier
      extends java.lang.Object
      implements java.io.Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verifier(ColumnFamilyStore cfs, SSTableReader sstable, boolean isOffline)`
    `Verifier(ColumnFamilyStore cfs, SSTableReader sstable, OutputHandler outputHandler, boolean isOffline)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `CompactionInfo.Holder` | `getVerifyInfo()`
    `void` | `verify(boolean extended)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Verifier

          public Verifier(ColumnFamilyStore cfs,
                          SSTableReader sstable,
                          boolean isOffline)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### Verifier

          public Verifier(ColumnFamilyStore cfs,
                          SSTableReader sstable,
                          OutputHandler outputHandler,
                          boolean isOffline)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### verify

          public void verify(boolean extended)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### getVerifyInfo

          public CompactionInfo.Holder getVerifyInfo()

Copyright © 2018 The Apache Software Foundation